<?
if (is_file(H."files/user_files/screens_litle/$file_id[id].png"))
{
echo "<img  class='show_foto'  src='/files/user_files/screens_litle/$file_id[id].png' alt='Скрин...' />\n";
}
else
{

$imgc=imagecreatefromstring(file_get_contents($file));
$img_x=imagesx($imgc);
$img_y=imagesy($imgc);
if ($img_x==$img_y)
{
$dstW=80; // ширина
$dstH=80; // высота 
}
elseif ($img_x>$img_y)
{
$prop=$img_x/$img_y;
$dstW=80;
$dstH=ceil($dstW/$prop);
}
else
{
$prop=$img_y/$img_x;
$dstH=80;
$dstW=ceil($dstH/$prop);
}

$screen=imagecreatetruecolor($dstW, $dstH);
imagecopyresampled($screen, $imgc, 0, 0, 0, 0, $dstW, $dstH, $img_x, $img_y);
imagedestroy($imgc);
imagejpeg($screen,H."files/user_files/screens_litle/$file_id[id].png",90);
imagedestroy($screen);
echo "<img  class='show_foto'  src='/files/user_files/screens_litle/$file_id[id].png' alt='Скрин...' />\n";
}

?>